Hazelnp::VoidValue Class Reference

Specializations for void values. More...

`#include <VoidValue.h>`

Inheritance diagram for Hazelnp::VoidValue:
[legend]
Collaboration diagram for Hazelnp::VoidValue:
[legend]

## Public Member Functions

| VoidValue ()
| ~VoidValue () override
Value * | Deepcopy () const override
| Will return a deeopopy of this object. More...
std::string | GetAsOsString () const override
| Will return a string suitable for an std::ostream;. More...
long long int | GetInt64 () const override
| Throws HazelnuppValueNotConvertibleException. More...
int | GetInt32 () const override
| Throws HazelnuppValueNotConvertibleException. More...
long double | GetFloat64 () const override
| Throws HazelnuppValueNotConvertibleException. More...
double | GetFloat32 () const override
| Throws HazelnuppValueNotConvertibleException. More...
std::string | GetString () const override
| Throws HazelnuppValueNotConvertibleException. More...
const std::vector< Value * > & | GetList () const
| Throws HazelnuppValueNotConvertibleException. More...
Public Member Functions inherited from Hazelnp::Value
virtual | ~Value ()
DATA_TYPE | GetDataType () const
| Will return the data type of this value. More...

## Additional Inherited Members

Protected Member Functions inherited from Hazelnp::Value
| Value (DATA_TYPE type)
Protected Attributes inherited from Hazelnp::Value
DATA_TYPE | type

## Detailed Description

Specializations for void values.

These house no value whatsoever, but only communicate information by merely existing.

Definition at line 8 of file VoidValue.h.

## Constructor & Destructor Documentation

## VoidValue()

VoidValue::VoidValue | ( |  | ) |

Definition at line 6 of file VoidValue.cpp.

:
Value(DATA_TYPE::VOID)
{
return;
}

## ~VoidValue()

Hazelnp::VoidValue::~VoidValue | ( |  | ) |

inlineoverride

Definition at line 12 of file VoidValue.h.

{};

## Member Function Documentation

## Deepcopy()

Value * VoidValue::Deepcopy | ( |  | ) | const

overridevirtual

Will return a deeopopy of this object.

Implements Hazelnp::Value.

Definition at line 13 of file VoidValue.cpp.

{
return new VoidValue();
}

## GetAsOsString()

std::string VoidValue::GetAsOsString | ( |  | ) | const

overridevirtual

Will return a string suitable for an std::ostream;.

Implements Hazelnp::Value.

Definition at line 18 of file VoidValue.cpp.

{
return "VoidValue";
}

## GetFloat32()

double VoidValue::GetFloat32 | ( |  | ) | const

overridevirtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 40 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

## GetFloat64()

long double VoidValue::GetFloat64 | ( |  | ) | const

overridevirtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 35 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

## GetInt32()

int VoidValue::GetInt32 | ( |  | ) | const

overridevirtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 30 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

## GetInt64()

long long int VoidValue::GetInt64 | ( |  | ) | const

overridevirtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 25 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

## GetList()

const std::vector< Value * > & VoidValue::GetList | ( |  | ) | const

virtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 50 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

## GetString()

std::string VoidValue::GetString | ( |  | ) | const

overridevirtual

Throws HazelnuppValueNotConvertibleException.

Implements Hazelnp::Value.

Definition at line 45 of file VoidValue.cpp.

{
throw HazelnuppValueNotConvertibleException();
}

The documentation for this class was generated from the following files:

- Hazelnupp/VoidValue.h
- Hazelnupp/VoidValue.cpp

Hazelnp::DATA_TYPE::VOID
@ VOID
Hazelnp::Value::Value
Value(DATA_TYPE type)
Definition: Value.cpp:5
Hazelnp::VoidValue::VoidValue
VoidValue()
Definition: VoidValue.cpp:6
Hazelnp::HazelnuppValueNotConvertibleException
Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not ...
Definition: HazelnuppException.h:35